summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-07-03 21:17:25 +0200
committerJeroen Roovers <jer@gentoo.org>2016-07-03 21:21:05 +0200
commitec2e203f1af7ca9c841c3c3fb94525cf6ac01d6c (patch)
tree02b59b845ba74bbf83933dd2b59de1e70aa2f9df /app-admin
parentapp-text/liblangtag: Fix license, bump EAPI, migrate away from autotools-utils (diff)
downloadgentoo-ec2e203f1af7ca9c841c3c3fb94525cf6ac01d6c.tar.gz
gentoo-ec2e203f1af7ca9c841c3c3fb94525cf6ac01d6c.tar.bz2
gentoo-ec2e203f1af7ca9c841c3c3fb94525cf6ac01d6c.zip
app-admin/sysstat: Version bump.
Package-Manager: portage-2.3.0
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/sysstat/Manifest2
-rw-r--r--app-admin/sysstat/sysstat-11.2.5.ebuild93
-rw-r--r--app-admin/sysstat/sysstat-11.3.5.ebuild93
3 files changed, 188 insertions, 0 deletions
diff --git a/app-admin/sysstat/Manifest b/app-admin/sysstat/Manifest
index 4fb4ca192a7..72e3adf8be5 100644
--- a/app-admin/sysstat/Manifest
+++ b/app-admin/sysstat/Manifest
@@ -2,5 +2,7 @@ DIST sysstat-11.0.2.tar.xz 291256 SHA256 acd87fdfbe7c796480f14fc26119d8f785d2682
DIST sysstat-11.2.2.tar.xz 323376 SHA256 e92c9980c6dde7e7faa3b91eb56c82de37139dc4d07eb69ca137eed44d161f5a SHA512 c7cf8134db3366588de58d64c6f852b23974ef99737960d8ec44f93d986690da8f83126132deaee4e02e565518d48678e32e969fa0ad9de36d9ccddfe4639506 WHIRLPOOL 7ab889d9d00ea5e54b0eecc312fc1f080b05151c2bed3cc648b5e301753e53cc348f34b1f2d0a5dec7d07083da7623acaa439f6c295b9b748812f6cce6065d8d
DIST sysstat-11.2.3.tar.xz 323396 SHA256 a7d8f194c1aa71dfe28fb96687c587b8866bd32fa27ee89825fe6aa79416d5ca SHA512 f5fe350531710cd0e67836dfe596dbbe32c8a22e2b26285e311dd8a6c643ad0eda3ae75789e587bc54747026b73f708ab55346d34e8fe5c49782001b6780a42a WHIRLPOOL 8da1755ded464622e159c9298c40e5c413d9f717301795495deb9e7b9329d7f0292d09cde2775af02870e8157f6287ecc4dbd4d5c3dcc6f0eafab8fddb8eabc6
DIST sysstat-11.2.4.tar.xz 323472 SHA256 2fb41049ef72c58c29e5966b27f31d8a30f8f468ef994c4ad0f20900fa0473b7 SHA512 e22ce08a1a058004b40fb15a452631a8bbafce98aa899874243c4b9e392f9ac83f63d20e010d706a6da895712a31cfba845ecf6c4844810648007a5388f237f4 WHIRLPOOL 67ba7c639d425339a48c2d65f946585ebf28082f4c35e83206bd7ce19814c1acd29172304a8824d3837d77476db24c9d81635a65d450c4656b9c8c2919650e63
+DIST sysstat-11.2.5.tar.xz 323544 SHA256 4d5c9cd9122aa933ac477f369eb40c66236365a88516577c9655516f6f32e8e4 SHA512 895970728be18a2ab3eac8df462a7c31ab0363b18e05deebf9332a8fb0b0f2f13876d1f5515eaf72537eed436d3f8802e36b9e0e7624d1ca360483f8705f40e6 WHIRLPOOL 98efe23ee3e35d220c0a9e857e9ba2a76475c88b91f270c8a185000ef7ff5e2ac913a2d7c0b6bbbb9b29ae394c36337f5d81cf6eedcf246a3f9e66f121384916
DIST sysstat-11.3.3.tar.xz 335712 SHA256 3e9bbfcb703a6831af17cf701744d2d7f7e302a8f7f7cae469b47a3cb0507d54 SHA512 d28144124b62d42520586d8e72be1131c00a738e599c56872cd31f00061f3e187d1ffc80d0db20323b1cb709433fd926073f22a116222cbfce86e97d1bbecd0d WHIRLPOOL ce209792b69b4de6a0ab95cf50448c27ad4572be79fc22f9764b3907f7b60eb6b91621bbd504a7da0227c9654937aa569e32414a4279000ab2a6bbdb5d5e381e
DIST sysstat-11.3.4.tar.xz 338244 SHA256 84231474b243eaffaf4b83e5a801085144361a1c8a50e9ea8a5d52ad269d20b1 SHA512 87fc46a52b4aaa4ae6b69ad1ca9d201025ba0ebe766203586bf9b4820f64a0a514f645eeedc9ca24016acf9f0c784c60516f0b630aa6342c1c0c0408fcdb719a WHIRLPOOL 5c65adfb11078b51bb53e382e0d60ac65c39eb19c9fbe1247d0e005306aefa06e764594ed08cb0f710dd20bf6a8b3cbdd2fedff72a3dde75fc7008f75bfecdb6
+DIST sysstat-11.3.5.tar.xz 343364 SHA256 aa06ab8132d618ed7737346ac882732d54c9f2956f6ab3c9d36657c5e1923709 SHA512 1a791cf3d671093e4bcb3f4b4b487c6935d356c3c8caf6a716b42a40254814a3d18c2589cfba7a353efa285863259d08b9393c36a4df6401cd6015b3f08cc244 WHIRLPOOL fec50f8c08b1b96de57c856ea1ee8fcdb55f5c7a1ab022dedb67e062f72a57491a189dd907e2653c86aa0344aad2bd90b139eb85c0976749361d38ea0ba5f4cc
diff --git a/app-admin/sysstat/sysstat-11.2.5.ebuild b/app-admin/sysstat/sysstat-11.2.5.ebuild
new file mode 100644
index 00000000000..3f9181c675f
--- /dev/null
+++ b/app-admin/sysstat/sysstat-11.2.5.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic multilib systemd toolchain-funcs
+
+DESCRIPTION="System performance tools for Linux"
+HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
+SRC_URI="${HOMEPAGE}${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="debug isag nls lm_sensors selinux static"
+
+CDEPEND="
+ isag? (
+ dev-lang/tk:0
+ dev-vcs/rcs
+ sci-visualization/gnuplot
+ )
+ nls? ( virtual/libintl )
+ lm_sensors? ( sys-apps/lm_sensors )
+"
+DEPEND="
+ ${CDEPEND}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${CDEPEND}
+ selinux? ( sec-policy/selinux-sysstat )
+"
+
+SYSSTAT_FAKE_RC_DIR=Gentoo-does-not-use-rc.d
+
+src_prepare() {
+ if use nls; then
+ strip-linguas -i nls/
+ local lingua pofile
+ for pofile in nls/*.po; do
+ lingua=${pofile/nls\/}
+ lingua=${lingua/.po}
+ if ! has ${lingua} ${LINGUAS}; then
+ rm "nls/${lingua}.po" || die
+ fi
+ done
+ fi
+ epatch \
+ "${FILESDIR}"/${PN}-10.0.4-flags.patch \
+ "${FILESDIR}"/${PN}-11.0.4-cron.patch
+}
+
+src_configure() {
+ tc-export AR
+ use static && append-ldflags -static
+
+ sa_lib_dir=/usr/$(get_libdir)/sa \
+ conf_dir=/etc \
+ rcdir=${SYSSTAT_FAKE_RC_DIR} \
+ econf \
+ $(use_enable debug debuginfo) \
+ $(use_enable isag install-isag) \
+ $(use_enable lm_sensors sensors) \
+ $(use_enable nls) \
+ --enable-copy-only \
+ --enable-documentation \
+ --enable-install-cron \
+ --with-systemdsystemunitdir=$(systemd_get_unitdir)
+}
+
+src_compile() {
+ emake LFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ keepdir /var/log/sa
+
+ emake \
+ CHOWN=true \
+ DESTDIR="${D}" \
+ DOC_DIR=/usr/share/doc/${PF} \
+ MANGRPARG='' \
+ install
+
+ dodoc contrib/sargraph/sargraph
+
+ rm -r "${D}/${SYSSTAT_FAKE_RC_DIR}" || die
+ newinitd "${FILESDIR}"/${PN}.init.d ${PN}
+ systemd_dounit ${PN}.service
+
+ rm -f "${D}"usr/share/doc/${PF}/COPYING
+}
diff --git a/app-admin/sysstat/sysstat-11.3.5.ebuild b/app-admin/sysstat/sysstat-11.3.5.ebuild
new file mode 100644
index 00000000000..c86b8b3bcb6
--- /dev/null
+++ b/app-admin/sysstat/sysstat-11.3.5.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils flag-o-matic multilib systemd toolchain-funcs
+
+DESCRIPTION="System performance tools for Linux"
+HOMEPAGE="http://pagesperso-orange.fr/sebastien.godard/"
+SRC_URI="${HOMEPAGE}${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug isag nls lm_sensors selinux static"
+
+CDEPEND="
+ isag? (
+ dev-lang/tk:0
+ dev-vcs/rcs
+ sci-visualization/gnuplot
+ )
+ nls? ( virtual/libintl )
+ lm_sensors? ( sys-apps/lm_sensors )
+"
+DEPEND="
+ ${CDEPEND}
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="
+ ${CDEPEND}
+ selinux? ( sec-policy/selinux-sysstat )
+"
+
+SYSSTAT_FAKE_RC_DIR=Gentoo-does-not-use-rc.d
+
+src_prepare() {
+ if use nls; then
+ strip-linguas -i nls/
+ local lingua pofile
+ for pofile in nls/*.po; do
+ lingua=${pofile/nls\/}
+ lingua=${lingua/.po}
+ if ! has ${lingua} ${LINGUAS}; then
+ rm "nls/${lingua}.po" || die
+ fi
+ done
+ fi
+ epatch \
+ "${FILESDIR}"/${PN}-10.0.4-flags.patch \
+ "${FILESDIR}"/${PN}-11.0.4-cron.patch
+}
+
+src_configure() {
+ tc-export AR
+ use static && append-ldflags -static
+
+ sa_lib_dir=/usr/$(get_libdir)/sa \
+ conf_dir=/etc \
+ rcdir=${SYSSTAT_FAKE_RC_DIR} \
+ econf \
+ $(use_enable debug debuginfo) \
+ $(use_enable isag install-isag) \
+ $(use_enable lm_sensors sensors) \
+ $(use_enable nls) \
+ --enable-copy-only \
+ --enable-documentation \
+ --enable-install-cron \
+ --with-systemdsystemunitdir=$(systemd_get_unitdir)
+}
+
+src_compile() {
+ emake LFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+ keepdir /var/log/sa
+
+ emake \
+ CHOWN=true \
+ DESTDIR="${D}" \
+ DOC_DIR=/usr/share/doc/${PF} \
+ MANGRPARG='' \
+ install
+
+ dodoc contrib/sargraph/sargraph
+
+ rm -r "${D}/${SYSSTAT_FAKE_RC_DIR}" || die
+ newinitd "${FILESDIR}"/${PN}.init.d ${PN}
+ systemd_dounit ${PN}.service
+
+ rm -f "${D}"usr/share/doc/${PF}/COPYING
+}